ImportsSyntaxCompleter (Groovy 4.0.15)

Package: org.apache.groovy.groovysh.completion.antlr4

## [Groovy] Class ImportsSyntaxCompleter

- org.apache.groovy.groovysh.completion.antlr4.ImportsSyntaxCompleter

- All Implemented Interfaces and Traits:
    IdentifierCompleter

      class ImportsSyntaxCompleter
      extends Object
      implements IdentifierCompleter

  Completer completing imported classnames

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Map<String, Collection<String>>` | `cachedImports`
    `List<String>` | `preimportedClassNames`
    `Groovysh` | `shell`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ImportsSyntaxCompleter(Groovysh shell)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `collectImportedSymbols(String importSpec, Collection<String> matches)` finds matching imported classes or static methods
    `` | `boolean` | `complete(List<Token> tokens, List<CharSequence> candidates)`
    `` | `boolean` | `findMatchingImportedClassesCached(String prefix, String importSpec, List<String> candidates)`
    `` | `boolean` | `findMatchingPreImportedClasses(String prefix, Collection<String> matches)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### final Map<String, Collection<String>> cachedImports

    - #### List<String> preimportedClassNames

    - #### final Groovysh shell

  - ### Constructor Detail

    - #### ImportsSyntaxCompleter(Groovysh shell)

  - ### Method Detail

    - #### void collectImportedSymbols(String importSpec, Collection<String> matches)

      finds matching imported classes or static methods

      Parameters:
        `importSpec` - an import statement without the leading 'import ' or trailing semicolon
        `matches` - all names matching the importSpec will be added to this Collection

    - #### @Override
      boolean complete(List<Token> tokens, List<CharSequence> candidates)

    - #### boolean findMatchingImportedClassesCached(String prefix, String importSpec, List<String> candidates)

    - #### boolean findMatchingPreImportedClasses(String prefix, Collection<String> matches)